# xarray.Dataset.drop_dims

`Dataset.``drop_dims`(drop_dims: Union[Hashable, Iterable[Hashable]], *, errors: str = 'raise') → xarray.core.dataset.Dataset

  Drop dimensions and associated variables from this dataset.

  Parameters:

  - drop_dims (hashable or iterable of hashable) – Dimension or dimensions to drop.
  - errors ({'raise', 'ignore'}, optional) – If ‘raise’ (default), raises a ValueError error if any of the dimensions passed are not in the dataset. If ‘ignore’, any given labels that are in the dataset are dropped and no error is raised.

  Returns:

  - obj (Dataset) – The dataset without the given dimensions (or any variables containing those dimensions)
  - errors ({‘raise’, ‘ignore’}, optional) – If ‘raise’ (default), raises a ValueError error if any of the dimensions passed are not in the dataset. If ‘ignore’, any given dimensions that are in the dataset are dropped and no error is raised.